<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:03 CET 2009 -->
<TITLE>
LogPrintWriter
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.logging.LogPrintWriter class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="LogPrintWriter";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/LogPrintWriter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/logging/LogPrintStream.html" title="class in ch.javasoft.util.logging"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/logging/LogWriter.html" title="class in ch.javasoft.util.logging"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/logging/LogPrintWriter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="LogPrintWriter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_java.io.PrintWriter">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#methods_inherited_from_class_java.io.PrintWriter">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.logging</FONT>
<BR>
Class LogPrintWriter</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">java.io.Writer</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">java.io.PrintWriter</A>
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.util.logging.LogPrintWriter</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Closeable.html" title="class or interface in java.io">Closeable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Flushable.html" title="class or interface in java.io">Flushable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Appendable.html" title="class or interface in java.lang">Appendable</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/util/logging/LogPrintWriter.html#line.47"><B>LogPrintWriter</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A></DL>
</PRE>

<P>
The <tt>LogPrintWriter</tt> is a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io"><CODE>PrintWriter</CODE></A> based on a 
 <A HREF="../../../../ch/javasoft/util/logging/LogWriter.html" title="class in ch.javasoft.util.logging"><CODE>LogWriter</CODE></A> to support the log <A HREF="../../../../ch/javasoft/util/logging/LogFormatter.html" title="class in ch.javasoft.util.logging"><CODE>formatting</CODE></A> 
 functionality provided by this package.
 <p>
 For more information and sample usage, see <A HREF="../../../../ch/javasoft/util/logging/LogWriter.html" title="class in ch.javasoft.util.logging"><CODE>LogWriter</CODE></A>.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_java.io.PrintWriter"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#out" title="class or interface in java.io">out</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_java.io.Writer"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html#lock" title="class or interface in java.io">lock</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogPrintWriter.html#LogPrintWriter(java.util.logging.Logger, java.util.logging.Level)">LogPrintWriter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Logger.html" title="class or interface in java.util.logging">Logger</A>&nbsp;logger,
                             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html" title="class or interface in java.util.logging">Level</A>&nbsp;level)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with logger and level on which the messages are logged</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/logging/LogPrintWriter.html#LogPrintWriter(java.lang.String, java.util.logging.Level)">LogPrintWriter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;loggerName,
                             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html" title="class or interface in java.util.logging">Level</A>&nbsp;level)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with logger name and level on which the messages are logged</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.io.PrintWriter"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#append(char)" title="class or interface in java.io">append</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#append(java.lang.CharSequence)" title="class or interface in java.io">append</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#append(java.lang.CharSequence, int, int)" title="class or interface in java.io">append</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#checkError()" title="class or interface in java.io">checkError</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#close()" title="class or interface in java.io">close</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#flush()" title="class or interface in java.io">flush</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#format(java.util.Locale, java.lang.String, java.lang.Object...)" title="class or interface in java.io">format</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#format(java.lang.String, java.lang.Object...)" title="class or interface in java.io">format</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#print(boolean)" title="class or interface in java.io">print</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#print(char)" title="class or interface in java.io">print</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#print(char[])" title="class or interface in java.io">print</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#print(double)" title="class or interface in java.io">print</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#print(float)" title="class or interface in java.io">print</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#print(int)" title="class or interface in java.io">print</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#print(long)" title="class or interface in java.io">print</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#print(java.lang.Object)" title="class or interface in java.io">print</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#print(java.lang.String)" title="class or interface in java.io">print</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#printf(java.util.Locale, java.lang.String, java.lang.Object...)" title="class or interface in java.io">printf</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#printf(java.lang.String, java.lang.Object...)" title="class or interface in java.io">printf</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#println()" title="class or interface in java.io">println</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#println(boolean)" title="class or interface in java.io">println</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#println(char)" title="class or interface in java.io">println</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#println(char[])" title="class or interface in java.io">println</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#println(double)" title="class or interface in java.io">println</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#println(float)" title="class or interface in java.io">println</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#println(int)" title="class or interface in java.io">println</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#println(long)" title="class or interface in java.io">println</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#println(java.lang.Object)" title="class or interface in java.io">println</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#println(java.lang.String)" title="class or interface in java.io">println</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#setError()" title="class or interface in java.io">setError</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#write(char[])" title="class or interface in java.io">write</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#write(char[], int, int)" title="class or interface in java.io">write</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#write(int)" title="class or interface in java.io">write</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#write(java.lang.String)" title="class or interface in java.io">write</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html#write(java.lang.String, int, int)" title="class or interface in java.io">write</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="LogPrintWriter(java.lang.String, java.util.logging.Level)"><!-- --></A><H3>
LogPrintWriter</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/logging/LogPrintWriter.html#line.55"><B>LogPrintWriter</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;loggerName,
                      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html" title="class or interface in java.util.logging">Level</A>&nbsp;level)</PRE>
<DL>
<DD>Constructor with logger name and level on which the messages are logged
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>loggerName</CODE> - the logger's name<DD><CODE>level</CODE> - the log level to use for tracing</DL>
</DL>
<HR>

<A NAME="LogPrintWriter(java.util.logging.Logger, java.util.logging.Level)"><!-- --></A><H3>
LogPrintWriter</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/logging/LogPrintWriter.html#line.65"><B>LogPrintWriter</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Logger.html" title="class or interface in java.util.logging">Logger</A>&nbsp;logger,
                      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/logging/Level.html" title="class or interface in java.util.logging">Level</A>&nbsp;level)</PRE>
<DL>
<DD>Constructor with logger and level on which the messages are logged
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>logger</CODE> - the logger<DD><CODE>level</CODE> - the log level to use for tracing</DL>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/LogPrintWriter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/logging/LogPrintStream.html" title="class in ch.javasoft.util.logging"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/logging/LogWriter.html" title="class in ch.javasoft.util.logging"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/logging/LogPrintWriter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="LogPrintWriter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_java.io.PrintWriter">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#methods_inherited_from_class_java.io.PrintWriter">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
